Skip to main content
GET
Get all assessment items referenced by an assessment test

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

identifier
string
required

The unique identifier of the assessment test

Query Parameters

view
enum<string>

Runtime projection to return.
Omit or use authoring for full authored content. Use student-before-answer for rendering to student if you want to remove the correct answer hints.
This view mode removes correct responses, feedback, response-processing, and unreferenced qti-catalog entries without mutating stored content.

Available options:
authoring,
student-before-answer
fields
string

Optional comma-separated list of the item fields to return: any of identifier, title, type, metadata, rawXml, content. identifier is always returned, an unknown name is ignored, and an empty value returns whole items. Sanitization is applied after field selection when view=student-before-answer is requested.

Response

Successfully retrieved all questions

All questions from the assessment test with their complete data and reference context

assessmentTest
string
required

Identifier of the assessment test

title
string
required

Title of the assessment test

totalQuestions
number
required

Total number of questions in the assessment test

questions
object[]
required

Array of questions with their reference information and complete item data